<html>
    <head>
        <title>mmmm</title>
    </head>

    <body>

        <script>
           // var x = 'x';

           var x ={
               'a':['p', 'q', 'r'],
               'b':['m', 'n'],
               'c':'d'
            };

            var count = Object.keys(x).length;

           //document.write(count+'<br>');

            for(i=1; i<=count; i++){
                y = 'z'+i;
                document.write(y+'<br>');
            };
        </script>
    </body>
</html>